/* @override http://c.hansvanderwoerd.eu/wp-content/mu-plugins/events/events-style.css */

/* @override http://c.hansvanderwoerd.eu/wp-content/mu-plugins/events/events-style.css */

/**
  * List
  */





.month-sep {
    font-weight: 700!important;
    text-transform: none;
    letter-spacing: 0px;
    padding-bottom: 5px !important;
    margin-top: 2px;
    margin-bottom: 0 !important;
    /* font-size: 1.2em; */
    /* color: #ae006d; */ /* FIXME move to child theme*/
    transform: none !important;
    cursor: auto !important;
}

.events .event {
    transition: transform .5s;
    border-bottom: 1px solid #eee;
    padding-bottom: 25px;
    margin-bottom: 25px;
}



.event  {
    font-weight: 300!important;
    line-height: 1.4em!important;
    font-size: 17px;
    padding-bottom: 15px !important;
    border-bottom: 1px solid #eee;
}

.event img {
    width: 100%;
}

.event .excerpt::after {
    content: "...";
}

.event .text {
    display: flex;
    flex-direction: column;
}

.event .content {
    transition: all 1s;
}

.event-content-enter-active {
    animation: event-content 1s ;
}
.event-content-leave-active {
    animation: event-content  1s reverse;
}
@keyframes event-content  {
    0% {
        opacity: 0;
        max-height: 0;
        flex:0;

    }
    60% {
        opacity: 0;
        max-height: 100vh;
        flex:1;

    }
    100% {
        opacity: 1;
    }
}


.event time {
    text-transform: uppercase!important;
    /* padding-bottom: 10px!important; */
    font-weight: 400!important;
    /* font-size: 20px!important; */
    display: flex;
    font-size: 1em !important;
}
.event .title {
    line-height: 1em;
    padding: 5px 0!important;
    /* font-size: 32px!important; */
    font-weight: bold;
    font-size: 1.5em;
    color: inherit;
    width: fit-content;
}




.event .meta {
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
    /* align-items: center; */
}
.event .action {
    /* padding-left: 50px; */
    padding-top: 10px;
}


.event .content p:last-child {
    margin-bottom: 0 !important;
}

.event .actions {
    display: flex;
    position: relative;
    position: relative;
}

.event .expand-arrow {
    width: 20px;
    position: absolute;
    right: 10px;
    bottom: 10px;
    transition: transform .2s, opacity 0.1s;
    opacity: 0.2;
}

.event:hover .expand-arrow,
.event.expanded .expand-arrow  {
    opacity: 0.4;
}

.event.expanded .expand-arrow {
    transform: rotateZ(180deg);
}




/**
 * Overlay
 */
#overlay-content .location {
    padding-bottom: 0px !important;
    border-bottom: none !important;
    margin-bottom: 20px;
}
#overlay img {
    margin-bottom: 50px !important;
    pointer-events: none;
    width: 100% !important;
}

#overlay #overlay-content h1 {
    /*font-size: 44px!important;*/
    padding-bottom: 6px;
    line-height: 1.05em!important;
    letter-spacing: 0px!important;
    /*font-family: "Noe Display";*/
    margin-bottom: 0.5em !important;
    font-weight: bold;
}

#overlay-content .time, #overlay-content .location {
    text-transform: uppercase!important;
    padding-bottom: 0px!important;
    font-weight: 400!important;
    font-size: 18px!important;
    line-height: 1.3em!important;
}

#overlay .button.tickets {
    text-transform: uppercase;
    font-size: 0.6875rem;
    font-weight: 600;
    letter-spacing: 2.5px;
    padding: 8px 20px !important;
    position: relative;
    margin-bottom: 22px;
}


@media (min-width: 768px) {
    .events .event:hover {
        transform: translateX(30px);
    }
}


/**
 * Single
 */
.single-event-info div {
    display: inline;
}


/**
 * Responsive
 */
@media screen and (max-width: 480px) {
    .event .title {
        font-size: 26px!important
    }
    .event time {
        font-size: 17px!important
    }

    .event .title {
        font-size: 26px!important
    }
    .event time {

        font-size: 17px!important
    }
    #overlay #overlay-content h1 {
        /*font-size: 30px!important;*/
        padding-bottom: 6px;
        line-height: 1.05em!important;
        letter-spacing: 0px!important;
        /*font-family: EksellDisplay, serif;*/
        margin-bottom: 0.5em !important;
    }
    #overlay-content .time, #overlay-content .location {
        font-size: 16px!important;
    }
    #overlay #overlay-content p {
        font-size: 16px!important;
        line-height: 1.5em!important
    }
}



/**
 Full List
 */
.events.full {
    display: flex;
    flex-direction: column;
}

.events.full .single-event {
    padding-bottom: 40px;
    border-bottom: 1px solid #ffffff;
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
    /*justify-content: center;*/
}
.events.full .single-event .left {
    width: 55%;
    /*justify-content: center;*/
}

.events.full .left p {
    padding-top: 20px;
}

.events.full .single-event span.btn {
    color: #222 !important;
    border-color: #222;
}


.events.full .single-event h1 {
    cursor: pointer;
}


.single-event img {
    display: flex;
    width: 360px;
    margin-left: auto;
    display: sticky;
    height: 360px;
    margin-top:  0px;
    object-fit: cover;
    transition: transform .2s; /* Animation */

    /* height: auto; */
}

.events.full .single-event:hover img, .events.full .single-event:hover h1 {
    /*transform: scale(1.02); !* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) *!*/
    /*cursor: pointer;*/
}




.single-event .thumbnail {

    /* height: auto; */
}

@media screen and (max-width: 1600px) {

    .single-event img {
        width: 325px;
        height: 325px;
        object-fit: cover;
        /* height: auto; */
    }
}

@media screen and (max-width: 1024px) {

    .single-event img {
        width: 300px;
        height: 300px;
        object-fit: cover;
        /* height: auto; */
    }
}

@media screen and (max-width: 800px) {
    .events.full .single-event {
        padding-bottom: 50px;
        margin-top: 40px;
        flex-direction: column-reverse;
        display: flex;
    }


    .events.full .left p {
        padding-bottom: 20px;
    }


    .events.full .single-event .left {
        width: 100%!important;
        display: block!important;
    }


    .single-event img {
        width: 800px!important;
        height: 550px;
        object-fit: cover;
    }

}

@media screen and (max-width: 485px) {

    .events.full .left p {
        display:  none;
    }

    .single-event img {
        height: 275px;
        object-fit: cover;
    }

    .single-event-info {
        padding-bottom: 25px!important;
    }


}




.single-event .thumbnail {
    margin-bottom: 25px !important;
}

/**
Single
 */
.single-event .programme p {
    display: grid;
    grid-template-columns: max-content auto;
    grid-gap: 0 10px;
}
.single-event hr {
    height: 1px;
    margin: 0;
    margin-bottom: 10px;
    width: 100%;
}
